<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.34
Name: Maßnahme (DGUV)
Description: Mit "Prozedur"/"Maßnahme" (im Allgemeinen breiter definiert als vom HL7 Version 3 Referenzinformationsmodell RIM) sind Beobachtungen (z. B. EEG), Verfahren/Operationen (z.B. Splenektomie) und Handlungen (z.B. Beratungsgespräche, Kleiderwechsel) gemeint. Oft beinhaltet eine Maßnahme eine Veränderung der körperlichen Verfassung des Patienten. Beispiele dafür sind Operationen wie eine Appendektomie, Hüftprothese und die Schaffung einer Gastrostomie. Dieses Template kann mit einem Produkt in Verbindung gebracht werden, um ein Medizingerät in oder auf einem Patienten darzustellen. In diesem Fall wird targetSiteCode verwendet, um den Standort des Geräts in oder am Körper des Patienten zu dokumentieren. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159">
   <title>Maßnahme (DGUV)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]
Item: (ProcedureActivityProceduredguv)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]"
         id="d42e7188-false-d23062e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="string(@classCode) = ('PROC')">(ProcedureActivityProceduredguv): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="@moodCode">(ProcedureActivityProceduredguv): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (('EVN','INT')))])">(ProcedureActivityProceduredguv): Der Wert von moodCode MUSS 'Code EVN oder Code INT' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']) &gt;= 1">(ProcedureActivityProceduredguv): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']) &lt;= 1">(ProcedureActivityProceduredguv): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:id) &gt;= 1">(ProcedureActivityProceduredguv): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:code) &gt;= 1">(ProcedureActivityProceduredguv): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:code) &lt;= 1">(ProcedureActivityProceduredguv): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(ProcedureActivityProceduredguv): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(ProcedureActivityProceduredguv): Element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProcedureActivityProceduredguv): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']"
         id="d42e7199-false-d23131e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProceduredguv): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.34')">(ProcedureActivityProceduredguv): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.34' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:id
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:id"
         id="d42e7204-false-d23145e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(ProcedureActivityProceduredguv): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:code
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:code"
         id="d42e7206-false-d23155e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(ProcedureActivityProceduredguv): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:originalText) &lt;= 1">(ProcedureActivityProceduredguv): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:code/hl7:originalText
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:code/hl7:originalText"
         id="d42e7208-false-d23172e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="count(hl7:reference) &lt;= 1">(ProcedureActivityProceduredguv): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:code/hl7:originalText/hl7:reference
Item: (ProcedureActivityProceduredguv)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d42e7218-false-d23197e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(ProcedureActivityProceduredguv): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(ProcedureActivityProceduredguv): Der Elementinhalt MUSS einer von '2.16.840.1.113883.2.6.60.4.11.25 ActStatusActiveCompletedAbortedSuspended (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.25-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ProcedureActivityProceduredguv): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.2.6.60.4.11.25 ActStatusActiveCompletedAbortedSuspended (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.34
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:effectiveTime
Item: (ProcedureActivityProceduredguv)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.34']]/hl7:effectiveTime"
         id="d42e7223-false-d23219e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20211129T095823/tmp-1.2.276.0.76.3.1.261.1.10.4.34-2019-01-28T111159.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(ProcedureActivityProceduredguv): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
